Subject: bug#60418: [PATCH] Add :vc keyword to use-package

From: Philip Kaludercic <[email-masked]>
Date: Fri, 31 Mar 2023 15:38:25 +0000

Felician Nemeth <[email-masked]> writes:

> merge 60418 61937
> thanks
>
> (I hope the above works, I've never merged bugs before.)
>
> Philip Kaludercic <[email-masked]> writes:
>
>>   I have to admit that I am not a fan of this [adding package-vc support
>>   to use-package].  Personally I install all my packages using regular
>>   tarballs, and then manually select packages that I want to track in
>>   source-form if I am interested in contributing a patch.
>>
>>   One has to keep in mind that by default you will be checking out the tip
>>   of the default development branch.  This is not what GNU ELPA and NonGNU
>>   ELPA do.  I know *some other* archives do this, but IMO this contributes
>>   to the instability that a lot of Emacs users experience in regards to
>>   the packages in the Emacs world.  Coincidentally I also believe that the
>>   popularity of alternative (non-cooperative) package managers like this
>>   "straight.el" boils down to the promise of being able to pin and revert
>>   to previous packages states.  Personally I believe that this is an
>>   up-side-down approach to solve the problem from the wrong angle.  The
>>   default approach to package management should be reliable and suffice.
>
> I think Pandora's box is already open with having package-vc.
>
> Maybe use-package's package-vc integration should use more sensible
> defaults then?  But if people don't like this feature, I personally
> won't press the issue further.

I am afraid I don't know what you mean by more sensible?  My central
point is that I wouldn't want to encourage people to download packages
using package-vc by default.

-- 
Philip Kaludercic